Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234636 - install fails during format of jfs partition
Summary: install fails during format of jfs partition
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jfsutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 18:40 UTC by Larry Matter
Modified: 2013-07-03 02:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 00:28:17 UTC


Attachments (Terms of Use)

Description Larry Matter 2007-03-30 18:40:19 UTC
Description of problem:
Install of fc7t3 fails when trying to format a partition jfs:
mkfs.jfs not found

Version-Release number of selected component (if applicable):
n/a

How reproducible:
every time

Steps to Reproduce:
during boot of install cd, add "jfs" as a command arg to make jfs an option for
format of new partitions, then create a jfs partition during install (select
custom partitioning).  During formating of new parititions install will fail
with a critical error, ultimately (in one of the text consoles) displaying
"mkfs.jfs command not found". 
  
Actual results:
"mkfs.jfs command not found"). 


Expected results:
partition is formatted as requested.

Additional info:
Seems a simple case of the jfsutils package not available during install.  This
was on the DVD iso, btw.

Also see: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225945

Comment 1 Josh Boyer 2007-03-30 19:28:06 UTC
Anaconda contains the code to do this, so the tools should probably be there if
anaconda is going to allow it.

Jesse, can we get jfsutils added to the spins?

Comment 2 Jesse Keating 2007-04-03 00:28:17 UTC
Added jfsutils to the manifest for Prime.  Thanks for noticing! 


Note You need to log in before you can comment on or make changes to this bug.